> For the complete documentation index, see [llms.txt](https://docs-wallet.magiceden.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-wallet.magiceden.io/solana/signing-a-message.md).

# Signing a Message

Once a web application has connected to the ME Solana wallet, it can prompt users to sign a message, send transactions, and more. Signing is commonplace amongst many dApps, as it gives application owners the ability to verify ownership of the wallet. Signing a message does not require any transaction fees.

To invoke, you can call the `signMessage` method on the provider directly.

```javascript
import { MagicEdenProvider } from "../types/types";

/**
 * Prompts the user to sign a message using the MagicEden Provider object
 * @param {MagicEdenProvider} provider The MagicEdenProvider object
 * @param {string} message The message to sign
 * @returns {Promise<string>} A promise that resolves to the signed message
 * @throws {Error} If an unexpected error occurs while signing the message
 */
export const signMessage = async (
  provider: MagicEdenProvider,
  message: string
): Promise<string> => {
  try {
    const encodedText = new TextEncoder().encode(message);
    const signedMessage = await provider.signMessage(encodedText);
    return signedMessage;
  } catch (error) {
    console.warn(error);
    throw new Error("An unexpected error occured while signing the message.");
  }
};
```

Signing a message is relatively simple and doesn't require any real interaction with web3 libraries. Check out the [signMessage](https://github.com/Tcadle434/me-wallet-solana-react/blob/main/src/utils/signMessage.ts) functionality in the demo app for a more well rounded implementation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-wallet.magiceden.io/solana/signing-a-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
